* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}
:root {
  --default: #392609;
  --primary: #b2a491;
  --white: #fff;
  --gray: #fffaf2;
  --secondary: #d0a979;
  --broun: #efd0ae;
  --transition: 0.3s all ease;
}
html {
  scroll-behavior: smooth;
}
body {
  font-family: Helvetica, sans-serif;
  font-size: 26px;
  font-style: normal;
  font-weight: 400;
  line-height: 100%;
  color: var(--white);
  background-image: url(./img/bg.jpg);
  background-position: top center;
  background-repeat: no-repeat;
  background-size: cover;
  position: relative;
}
body::after {
  position: absolute;
  content: "";
  width: 100%;
  height: 1240px;
  left: 0;
  bottom: 0;
  z-index: -1;
  background: linear-gradient(
    180deg,
    rgba(255, 255, 255, 0) 0%,
    #fff 50%,
    #fff 100%
  );
}
body::before {
  position: absolute;
  content: "";
  width: 100%;
  height: 370px;
  top: 0;
  left: 0;
  z-index: -1;
  background: linear-gradient(
    180deg,
    rgba(255, 255, 255, 0.5) 50%,
    rgba(255, 255, 255, 0) 100%
  );
}
.wrapper {
  overflow: hidden;
}
.container {
  width: 100%;
  max-width: 1420px;
  margin: 0 auto;
}
@media (max-width: 1920px) {
  .container {
    max-width: 1140px;
  }
}
@media (max-width: 1440px) {
  .container {
    max-width: 980px;
  }
}
@media (max-width: 1280px) {
  .container {
    max-width: 680px;
  }
}
@media (max-width: 800px) {
  .container {
    padding: 0 44px;
  }
}

.header {
  padding: 75px 0 0 0;
}
.header-row {
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
}
.page-title {
  font-family: "El Messiri";
  font-size: 60px;
  font-weight: 700;
  line-height: 110%;
  color: var(--default);
  text-align: center;
}
.language-switcher {
  position: absolute;
  right: 0;
  top: 0;
  display: flex;
  padding: 3px;
  border-radius: 30px;
  background-color: var(--secondary);
  z-index: 2;
  cursor: pointer;
  user-select: none;
}
.language-switcher::before {
  position: absolute;
  content: "";
  left: 3%;
  top: 3px;
  bottom: 3px;
  width: calc(50% - 3px);
  border-radius: 30px;
  background-color: var(--white);
  z-index: -1;
  transition: var(--transition);
}
.language-switcher.active::before {
  left: 50%;
}
.language {
  font-size: 7px;
  line-height: 130%;
  text-transform: uppercase;
  color: var(--white);
  display: flex;
  justify-content: center;
  align-items: center;
  width: 43px;
  height: 28px;
  leading-trim: both;
  text-edge: cap;
  transition: var(--transition);
}
.language-switcher .language:last-child {
  color: var(--white);
}
.language-switcher .language:first-child {
  color: var(--default);
}
.language-switcher.active .language:first-child {
  color: var(--white);
}
.language-switcher.active .language:last-child {
  color: var(--default);
}

/* hero */
.hero {
  /* padding: 0 0 55px 0; */
}
.hero-overlay {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 55px;
  background-image: url(img/form-bg.png);
  padding: 55px 0;
  background-repeat: no-repeat;
  background-position: 60% 36%;
  background-size: 980px;
}
.form-title {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 35px;
  position: relative;
  z-index: 2;
}
.form-title h3 {
  font-size: 26px;
  font-weight: 400;
  letter-spacing: 0.78px;
  color: var(--default);
}
.order-form {
  width: 354px;
  display: flex;
  flex-direction: column;
  align-items: center;
}
.form-logo {
  margin: 0 0 20px 0;
}
.order-number {
  outline: none;
  border: none;
  width: 100%;
  border-radius: 20px;
  background-color: var(--gray);
  font-family: Helvetica, sans-serif;
  font-size: 20px;
  font-style: normal;
  font-weight: 700;
  letter-spacing: 0.5px;
  color: var(--default);
  text-align: center;
  height: 60px;
  line-height: 60px;
  padding: 0 30px;
  margin: 0 0 105px 0;
  resize: none;
  overflow: hidden;
}
.order-number::placeholder {
  color: var(--primary);
}
.submit-btn {
  width: 255px;
  height: 56px;
  padding: 0;
  border-radius: 48px;
  background: rgba(239, 208, 174, 0.5);
  box-shadow: 0 15px 20px 0 rgba(130, 87, 43, 0.4);
  backdrop-filter: blur(1.5px);
  border: none;
  font-family: Helvetica;
  font-size: 23px;
  font-style: normal;
  font-weight: 400;
  color: var(--broun);
  cursor: pointer;
  transition: var(--transition);
}
.submit-btn:hover {
  border-color: #fff;
  box-shadow:
    0 15px 20px 0 rgba(130, 87, 43, 0.4),
    -4.5px -4.5px 1.5px -5.25px rgba(255, 255, 255, 0.5) inset,
    4.5px 4.5px 1.5px -5.25px rgba(255, 255, 255, 0.5) inset,
    3px 4.5px 1.5px -3px rgba(179, 179, 179, 0.2) inset,
    -3px -4.5px 1.5px -3px #b3b3b3 inset,
    0 0 33px 0 rgba(242, 242, 242, 0.5) inset;
}
.submit-btn:active {
  color: var(--white);
  box-shadow:
    0 15px 20px 0 rgba(130, 87, 43, 0.4),
    -4.5px -4.5px 1.5px -5.25px rgba(255, 255, 255, 0.5) inset,
    4.5px 4.5px 1.5px -5.25px rgba(255, 255, 255, 0.5) inset,
    3px 4.5px 1.5px -3px rgba(179, 179, 179, 0.7) inset,
    -3px -4.5px 1.5px -3px #b3b3b3 inset,
    0 0 33px 0 rgba(242, 242, 242, 0.5) inset;
}

/*  */
.slider {
  position: relative;
  z-index: 1;
  padding: 50px 0;
}
.slider::before {
  position: absolute;
  content: "";
  inset: 0;
  background: rgba(57, 38, 9, 0.5);
  z-index: -1;
}
.section-title {
  font-family: "El Messiri";
  font-size: 35px;
  font-style: normal;
  font-weight: 700;
  line-height: 100%;
  margin: 0 0 30px 0;
  text-align: center;
}
.serial-number {
  font-size: 25px;
  font-style: normal;
  font-weight: 300;
  line-height: 100%;
  text-transform: uppercase;
  margin: 0 0 50px 0;
  text-align: center;
}
.swiper {
  max-width: 880px;
  margin: 0 auto;
  overflow: visible;
}
.swiper-slide {
  width: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
}
.swiper-slide img,
.swiper-slide video {
  max-height: 550px;
  width: auto;
  border-radius: 8px;
  object-fit: contain;
}
.swiper-slide::after {
  position: absolute;
  content: "";
  height: 100%;
  width: 1px;
  background-color: var(--white);
  top: 0;
  right: -50px;
}
.swiper-slide:last-child::after {
  display: none;
}
.swiper-nav {
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 50px 0 0 0;
  gap: 20px;
}
.swiper-prev,
.swiper-next {
  width: 54px;
  height: 54px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 48px;
  border-top: 1px solid #fff;
  border-left: 1px solid #fff;
  background: rgba(239, 208, 174, 0.5);
  backdrop-filter: blur(2.5px);
  cursor: pointer;
  transition: var(--transition);
}
.swiper-prev:hover,
.swiper-next:hover {
  box-shadow:
    0 15px 20px 0 rgba(130, 87, 43, 0.4),
    -4.5px -4.5px 1.5px -5.25px rgba(255, 255, 255, 0.5) inset,
    4.5px 4.5px 1.5px -5.25px rgba(255, 255, 255, 0.5) inset,
    3px 4.5px 1.5px -3px rgba(179, 179, 179, 0.7) inset,
    -3px -4.5px 1.5px -3px #b3b3b3 inset,
    0 0 33px 0 rgba(242, 242, 242, 0.5) inset;
}
.swiper-prev path,
.swiper-next path {
  transition: var(--transition);
}
.swiper-prev:hover path,
.swiper-next:hover path {
  fill: var(--white);
}
.advantage {
  padding: 55px 0 85px 0;
  position: relative;
}
.steps {
  position: absolute;
  width: 1093px;
  left: 50%;
  top: 120px;
  transform: translate(-50%, 0);
  z-index: -1;
}
.advanatge-row {
  display: flex;
  flex-direction: column;
  gap: 80px;
}
.advanatge-card {
  width: 870px;
  padding: 45px;
  border-radius: 30px;
  background: linear-gradient(
    0deg,
    rgba(166, 120, 64, 0.7) 0%,
    rgba(190, 160, 122, 0.7) 100%
  );
  box-shadow:
    0 1px 1px 0 rgba(255, 255, 255, 0.4) inset,
    0 15px 40px 0 rgba(0, 0, 0, 0.25);
  backdrop-filter: blur(5px);
  position: relative;
}
.advantage-small {
  width: 800px;
}
.advanatge-card:nth-child(even) {
  margin-left: auto;
}
.advantage-head {
  font-family: "El Messiri";
  font-size: 36px;
  font-style: normal;
  font-weight: 700;
  line-height: 120%;
  letter-spacing: -0.36px;
  padding: 0 0 30px 0;
  border-bottom: 1px solid var(--broun);
  margin: 0 0 40px 0;
}
.advanatge-desc {
  font-size: 18px;
  font-style: normal;
  font-weight: 500;
  line-height: 150%;
}
.advantage-body {
  max-width: 578px;
  display: flex;
  flex-direction: column;
  gap: 30px;
  align-items: flex-start;
}
.advantage-small .advantage-body {
  max-width: 538px;
}
.advanatge-list {
  display: flex;
  flex-direction: column;
  gap: 20px;
  list-style: none;
}
.advanatge-list li {
  display: flex;
  align-items: center;
  gap: 10px;
  font-size: 16px;
  font-style: normal;
  font-weight: 300;
  line-height: 150%;
}
.line {
  display: flex;
  height: 1px;
  width: 100%;
  background-color: var(--broun);
}
.adv1,
.adv2,
.adv3,
.adv4,
.adv5,
.adv6 {
  position: absolute;
  z-index: 0;
}
.adv1 {
  width: 475px;
  bottom: 62px;
  right: -154px;
}
.adv2 {
  width: 502px;
  right: 0;
  bottom: 0;
}
.adv3 {
  width: 1007px;
  left: 0;
  bottom: 0;
}
.adv4 {
  width: 297px;
  right: -77px;
  bottom: 0;
}
.adv5 {
  width: 327px;
  right: -64px;
  bottom: 0;
}
.adv6 {
  display: none;
}
.footer {
  padding: 85px 0 100px 0;
  border-top: 1px solid var(--default);
}
.footer-row {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 70px;
}
.footer-texts {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  gap: 40px;
  color: var(--default);
  font-family: "El Messiri";
  font-size: 50px;
  font-style: normal;
  font-weight: 700;
  line-height: 68%;
}
.footer-logo {
  width: 309px;
}
@media (max-width: 1920px) {
  .page-title {
    font-size: 40px;
  }
  .form-title h3 {
    font-size: 22px;
  }
  .advanatge-card {
    padding: 35px;
  }
  .advantage-small,
  .advanatge-card {
    width: 640px;
  }
  .advantage-small .advantage-body {
    max-width: 438px;
  }
  .advantage-head {
    font-size: 28px;
    padding: 0 0 20px 0;
  }
  .advanatge-desc {
    font-size: 14px;
  }
  .advanatge-list li {
    font-size: 14px;
  }
  .steps {
    width: 1004px;
  }
  .footer-texts {
    font-size: 45px;
    gap: 30px;
  }
  .footer-logo {
    width: 270px;
  }
  .adv1 {
    width: 411px;
  }
  .adv2 {
    width: 444px;
  }
  .adv3 {
    display: none;
  }
  .adv6 {
    display: block;
    right: -120px;
    bottom: 0;
  }
  .adv4 {
    width: 270px;
  }
  .adv5 {
    width: 220px;
  }
  body::after {
    height: 1430px;
  }
}
@media (max-width: 1440px) {
  .swiper {
    max-width: 760px;
  }
  .swiper-slide {
    max-width: 100%;
  }
  .swiper-slide img,
  .swiper-slide video {
    max-width: 100%;
    max-height: 450px;
  }
  .steps {
    width: 759px;
    top: 350px;
  }
}
@media (max-width: 1280px) {
  .hero-overlay {
    background-position: 41% 36%;
  }
  .swiper {
    max-width: 573px;
  }
  .swiper-slide::after {
    right: -25px;
  }
  .swiper-slide img,
  .swiper-slide video {
    max-height: 370px;
  }
  .advanatge-card:nth-child(even) {
    margin: 0;
  }
  .advanatge-card {
    width: 100%;
  }
  .advantage {
    padding: 50px 0 70px 0;
  }
  .footer {
    padding: 70px 0 100px 0;
  }
  .footer-texts {
    font-size: 35px;
  }
  .hero .container {
    max-width: 100%;
    padding: 0;
  }
  .footer-logo {
    width: 201px;
  }
  body::after {
    height: 1007px;
  }
}
@media (max-width: 800px) {
  .language-switcher {
    position: relative;
    top: unset;
    right: unset;
  }
  .header-row {
    flex-direction: column-reverse;
    align-items: center;
    justify-content: center;
    gap: 20px;
  }
  .header {
    padding: 35px 0 0 0;
  }
  .page-title {
    font-size: 30px;
  }
  .hero-overlay {
    padding: 40px 0;
    background-position: 58% 21%;
    background-size: 635px;
  }
  .order-number {
    margin: 0 0 20px 0;
    font-size: 14px;
    height: 50px;
    line-height: 50px;
    padding: 0 15px;
  }
  body::before {
    height: 282px;
    z-index: 0;
  }
  .form-logo {
    width: 110px;
    margin: 0 0 10px 0;
  }
  .order-form {
    width: 245px;
  }
  .form-title {
    gap: 20px;
  }
  .form-title h3 {
    font-size: 14px;
  }
  .section-title {
    font-size: 26px;
  }
  .serial-number {
    font-size: 20px;
    margin: 0 0 30px 0;
  }
  .swiper-slide img,
  .swiper-slide video {
    max-height: 185px;
  }
  .swiper-slide::after {
    right: -17px;
  }
  .swiper-prev,
  .swiper-next {
    width: 44px;
    height: 44px;
  }
  .swiper-nav {
    margin: 40px 0 0 0;
  }
  .slider {
    padding: 30px 0;
  }
  .advantage {
    padding: 40px 0 50px 0;
  }
  .advanatge-card {
    padding: 25px;
    border-radius: 20px;
  }
  .advantage-head {
    font-size: 20px;
    margin: 0 0 30px 0;
  }
  .advanatge-desc {
    font-size: 12px;
  }
  .advantage-body {
    gap: 25px;
  }
  .advanatge-list li {
    font-size: 12px;
    align-items: flex-start;
  }
  .advanatge-list li img {
    width: 19px;
    margin: 3px 0 0 0;
  }
  .advanatge-row {
    gap: 30px;
  }
  .adv1,
  .adv2,
  .adv3,
  .adv4,
  .adv5,
  .adv6 {
    display: none;
  }
  .footer {
    padding: 50px 0 80px 0;
  }
  .footer-row {
    gap: 40px;
  }
  .footer-texts {
    font-size: 26px;
    gap: 20px;
  }
  .footer-logo {
    width: 157px;
  }
  .steps {
    width: 494px;
  }
  body::after {
    height: 679px;
  }
}
@media (max-width: 600px) {
  .hero-overlay {
    background-position: center 27%;
  }
  .order-form {
    margin: 0 10px 0 0;
  }
}
.turnstile-container {
  margin-bottom: 20px;
  display: flex;
  justify-content: center;
}
.turnstile-container.hidden {
  display: none;
}
